package cd.casic.framework.mq.redis.config;

import cd.casic.framework.mq.redis.core.RedisMQTemplate;
import cd.casic.framework.mq.redis.core.interceptor.RedisMessageInterceptor;
import cd.casic.framework.redis.config.OpsRedisAutoConfiguration;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.data.redis.core.StringRedisTemplate;

import java.util.List;

/**
 * Redis 消息队列 Producer 配置类
 *
 * @author mianbin modified from yudao
 */
@Slf4j
@AutoConfiguration(after = OpsRedisAutoConfiguration.class)
public class OpsRedisMQProducerAutoConfiguration {

    @Bean
    public RedisMQTemplate redisMQTemplate(StringRedisTemplate redisTemplate,
                                           List<RedisMessageInterceptor> interceptors) {
        RedisMQTemplate redisMQTemplate = new RedisMQTemplate(redisTemplate);
        // 添加拦截器
        interceptors.forEach(redisMQTemplate::addInterceptor);
        return redisMQTemplate;
    }

}
