package cd.casic.module.execute.docker.dataobject.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import cd.casic.module.execute.docker.dataobject.model.DockerEndpoint;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @description: docker 的端点配置
 * @author: mianbin
 * @date: 2025/5/26 10:28
 * @version: 1.0
 */
@TableName("pipeline_docker_endpoint")
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class DockerEndpointDo extends BaseDO {

    @TableId
    private String id;

    private String name;

    private DockerEndpoint.DockerEndpointTypeEnum type;

    private DockerEndpoint.DockerEndpointStateEnum state;

    private String host;

    private Integer port;

    private LocalDateTime latestTestTime;

}
