package cd.casic.module.machine.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "machine_info")
public class MachineInfoDO extends BaseDO {

    /**
     * 机器id
     */
    @TableId
    private Long id;


    @TableField(value = "name")
    private String name;

    /**
     * 机器唯一标识
     */
    @TableField(value = "tag")
    private String tag;

    @TableField(value = "host_ip")
    private String hostIp;

    @TableField(value = "description")
    private String description;

    //1：Linux  2：Windows
    @TableField(value = "machine_info_type")
    private Integer machineInfoType;

    // 1：启用  0：停用
    @TableField(value = "status")
    private Integer status;

    //用户名
    @TableField(value = "username")
    private String username;

    //SSH端口号
    @TableField(value = "ssh_port")
    private Integer sshPort;

    @TableField(value = "password")
    private String password;

    @TableField(value = "secret_key_id")
    private Long secretKeyId;

    @TableField(value = "machine_proxy_id")
    private Long machineProxyId;

    //1：密码认证   2：密钥认证
    @TableField(value = "authentication_type")
    private Integer authenticationType;

}
