package cd.casic.module.machine.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import cd.casic.module.machine.enums.MachineProxyStatus;
import com.baomidou.mybatisplus.annotation.*;
import cd.casic.module.machine.enums.MachineProxyType;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 机器代理实体类
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("machine_proxy")
public class MachineProxyDO extends BaseDO {

    /**
     * 代理id
     */
    @TableId
    private Long id;

    @TableField(value = "host_ip")
    private String hostIp;

    @TableField(value = "ssh_port")
    private String sshPort;

    @TableField(value = "proxy_type")
    private int proxyType;

    @TableField(value = "version")
    private String version;

    @TableField(value = "status")
    private int status;

    @TableField(value = "username")
    private String username;

    @TableField(value = "password")
    private String password;

    @TableField(value = "description")
    private String description;


}
