package cd.casic.ci.process.dto.req.pipeline;

import cd.casic.ci.process.dto.req.resource.ResourceReq;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @ClassName PipelineReq 新建作业target 阶段参数
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class PipelineCreateReq {
    private String name;

    private String envId;

    private String groupId;
    /**
     * @pi.name:type
     * @pi.dataType:Integer
     * @pi.desc:流水线类型 1.多任务 2.多阶段
     * @pi.value: 1
     */
    private int type;

    /**
     * @pi.name:state
     * @pi.dataType:Integer
     * @pi.desc:运行状态 1.未运行 2.运行中
     * @pi.value:1
     */
    private int state;

    /**
     * @pi.name:power
     * @pi.dataType:Integer
     * @pi.desc:项目作用域 1.全局 2.项目
     * @pi.value:1
     */
    private int power;

    /**
     * @pi.name:color
     * @pi.dataType:Integer
     * @pi.desc:颜色 1~5随机生成
     * @pi.value:2
     */
    private int color;

    /**
     * @pi.name:template
     * @pi.dataType:string
     * @pi.desc:流水线模板
     * @pi.value:template
     */
    private String templateId;

    private String targetVersionId;

    private String targetType;

    private String pipelineTag;

    private String projectId;

    private String remark;

    /**
     * @pi.name:collect
     * @pi.dataType:Integer
     * @pi.desc:收藏 0.未收藏 1.收藏
     * @pi.value:2
     */
    private int collect;

    private String executeUserId;

    private LocalDateTime executeTime;

    private String pipelineTriggerMode;

    private String executeStatus;

    private String resourceId;

    private ResourceReq resourceReq;
}
