package cd.casic.ci.process.dto.req.sast;

import lombok.Data;

import java.util.List;
@Data
public class SastApplicationCreateReq {
    /**
     * 项目Id
     * */
    private String projectId;
    /**
     * 应用名称
     * */
    private String applicationName;
    /**
     *  源代码ONLINE 或者字节码COMPRESS_FILE
     * */
    private String codeSourceFrom;
    /**
     * GITLAB，GITEE，GITHUB，LOCAL (本地)
     * */
    private String codeRepoType;
    /**
     *  git连接状态 目前不用git 固定传false
     * */
    private Boolean connectionStatus;
    /**
     *  语言和模板配置，是否开启编译模式（目前不开启传false）
     * */
    private List<SastApplicationConfig> config;
    /**
     *  传接口获取到的引擎id
     * */
    private List<String> openEngine;
    /**
     *  传上传文件接口返回的文件id
     * */
    private List<String> fileId;
    /**
     *  编辑时使用 applicationId
     * */
    private String applicationId;
    /**
     * 是否开启缺陷自动研判
     * */
    private Boolean autoAudit;
    /**
     * 函数过滤内容
     * */
    private String functionFilter;

    @Data
    public static class SastApplicationConfig{
        private String languageId;
        private String templateId;
        private String version;
        private String compileTool;
        private String compileCommand;
        private boolean compile;
        private boolean isCompile;
    }
}
