package cd.casic.ci.process.dto.resp.pipeline;

import cd.casic.ci.process.dto.resp.stage.StageResp;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @ClassName PipelineFindResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class PipelineFindResp {

    private String id;

    private String name;

    //创建人id
    private String creator;

    //创建人姓名
    private String creatorName;

    //最后修改人id
    private String updater;

    //最后修改人姓名
    private String updaterName;

    private String remark;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    /**
     * 是否收藏 0.未收藏 1.收藏
     */
    private Integer collect;


    /**
     * 执行人id
     */
    private String executeUserId;
    private String executeUserName;

    private String groupId;

    private String pipelineTag;

    /**
     * 执行时间
     */
    private LocalDateTime executeTime;

    /**
     * 流水线触发方式
     */
    private String pipelineTriggerMode;

    /**
     * 执行状态
     */
    private String executeStatus;

    /**
     * 所属项目id
     */
    private String projectId;

    /**
     * 持续时间
     */
    private Long durationTime;

    /**
     * 开始执行时间
     */
    private LocalDateTime startExecuteTime;

    /**
     * 代码变更次数
     */
    private String codeChange;

    /**
     * 运行产物
     */
    private String operatingProducts;

    /**
     * 环境变量
     */
    private String environmentVariable;

    /**
     * 运行实例编号
     */
    private String instanceNum;

    private List<StageResp> stageList;

    /**
     * 目标版本id
     */
    private String targetVersionId;


    /**
     * 目标id
     */
    private String targetId;

    /**
     * 目标类型
     */
    private String targetType;


}
