package cd.casic.ci.process.dto.resp.pipeline;

import cd.casic.framework.commons.dataobject.Group;
import cd.casic.framework.commons.dataobject.PatchUser;
import cd.casic.framework.commons.dataobject.User;
import lombok.Data;
import org.springframework.boot.autoconfigure.couchbase.CouchbaseProperties;

import java.util.List;

/**
 * @ClassName PipelineResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class PipelineResp {

    /**
     * @pi.name:id
     * @pi.dataType:string
     * @pi.desc:流水线id
     * @pi.value:11111
     */
    private String id;

    /**
     * @pi.name:name
     * @pi.dataType:string
     * @pi.desc:流水线名称
     * @pi.value:name
     */
    private String name;

    /**
     * @pi.model:User
     * @pi.desc:用户
     */
    private User user;


    /**
     * @pi.model:Env
     * @pi.desc:流水线环境
     */
    private CouchbaseProperties.Env env;

    /**
     * @pi.model:Env
     * @pi.desc:流水线组
     */
    private Group group;

    /**
     * @pi.name:createTime
     * @pi.dataType:string
     * @pi.desc:流水线创建时间
     * @pi.value:createTime
     */
    private String createTime;

    /**
     * @pi.name:type
     * @pi.dataType:Integer
     * @pi.desc:流水线类型 1.多任务 2.多阶段
     * @pi.value: 1
     */
    private int type;

    /**
     * @pi.name:state
     * @pi.dataType:Integer
     * @pi.desc:运行状态 1.未运行 2.运行中
     * @pi.value:1
     */
    private int state;

    /**
     * @pi.name:power
     * @pi.dataType:Integer
     * @pi.desc:项目作用域 1.全局 2.项目
     * @pi.value:1
     */
    private int power;

    /**
     * @pi.name:color
     * @pi.dataType:Integer
     * @pi.desc:颜色 1~5随机生成
     * @pi.value:2
     */
    private int color;

    /**
     * @pi.name:template
     * @pi.dataType:string
     * @pi.desc:流水线模板
     * @pi.value:template
     */
    private String template;

    /**
     * @pi.name:collect
     * @pi.dataType:Integer
     * @pi.desc:收藏 0.未收藏 1.收藏
     * @pi.value:2
     */
    private int collect;

    /**
     * @pi.model:userList
     * @pi.desc:流水线成员
     */
    private List<PatchUser> userList;


    // 以下为统计信息


    /**
     * @pi.model:execUser
     * @pi.desc:用户(执行人)
     */
    private User execUser;

    /**
     * @pi.name:number
     * @pi.dataType:Integer
     * @pi.desc:执行次数
     * @pi.value:2
     */
    private Integer number;

    /**
     * @pi.name:instanceId
     * @pi.dataType:string
     * @pi.desc:实例id
     * @pi.value:instanceId
     */
    private String instanceId;


    /**
     * @pi.name:buildStatus
     * @pi.dataType:string
     * @pi.desc:最近构建状态
     * @pi.value:buildStatus
     */
    private String buildStatus;


    /**
     * @pi.name:lastBuildTime
     * @pi.dataType:string
     * @pi.desc:最近构建时间
     * @pi.value:lastBuildTime
     */
    private String lastBuildTime;


    /**
     * @pi.name:isExec
     * @pi.dataType:boolean
     * @pi.desc:是否可以执行
     * @pi.value:true
     */
    private Boolean isExec;
}
