package cd.casic.ci.process.dto.resp.report;

import lombok.Data;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName ImageLayerInfo
 * @Date: 2025/6/11 10:51
 * @Description:
 */
@Data
public class ImageLayerInfo {
    /**
     * 是否为基础层
     * 示例值: ""（空字符串表示非基础层）
     */
    private String basicLayer;

    /**
     * 安装命令
     * 示例值: "COPY . /home/ # buildkit"
     */
    private String command;

    /**
     * 是否为指令安装
     * 示例值: true
     */
    private Boolean commandInstall;

    /**
     * 所属镜像层 ID
     * 示例值: "1"
     */
    private String layerId;

    /**
     * 层级序列号
     * 示例值: 7
     */
    private Integer layerIndex;
}
