package cd.casic.ci.process.dto.resp.report;

import lombok.Data;

import java.util.List;

/**
 * @ClassName ReportResp
 * @Author hopeli
 * @Date 2025/5/10 10:53
 * @Version 1.0
 */
@Data
public class ReportResp {
    //报告编号
    private Integer id;

    //报告生成时间
    private String createDate;

    //生成人
    private String creator;

    //报告维度 0-仓库 1-项目 2-应用 5-组件 6-漏洞 7-许可证
    private Integer dimension;

    //报告md5
    private String md5;

    //报告名
    private String name;

    //所属项目
    private String projectName;

    //报告编号
    private String serialNumber;

    //报告来源编号
    // -1-代码溯源分析
    // 0-项目管理
    // 1-应用包审查分析
    // 2-SBOM风险扫描
    // 3-IDE开发管理
    // 4-代码仓库管理
    // 5-CI/CD流水线
    // 6-二进制成分分析
    // 7-镜像安全扫描
    // 8-私服库安全扫描
    // 12-组件风险管理
    // 13-漏洞风险管理
    // 14-许可证风险管理
    // 15-知识库查询
    // 16-运行时监控
    private Integer source;

    //报告来源名称
    private String sourceName;

    //报告状态 0-生成中 1-已生成 2-生成失败
    private Integer status;


    //报告类型
    // 1-word
    // 2-pdf
    // 3-html
    // 4-json
    // 5-excel
    // 6-rdf
    // 7-tag/value(.spdx)
    // 8-xml
    // 9-yaml
    // 10-cbor
    // 11-tag/value(.dsdx)
    private List<Integer> type;


    //xm-trace-id
    private String xmTraceId;

    private Integer fail;
    private Integer success;

    private String message;

}
