package cd.casic.ci.process.dto.resp.report;

import lombok.Data;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName ReportTaskResp
 * @Date: 2025/6/11 10:47
 * @Description:
 */
@Data
public class ReportTaskResp {
    /** 应用id */
    private Integer applicationId;

    /** 已审计组件数 */
    private Integer componentAuditNum;

    /** 黑名单组件数 */
    private Integer componentBlackNum;

    /** 高风险组件数 */
    private Integer componentHighNum;

    /** 低风险组件数 */
    private Integer componentLowNum;

    /** 中风险组件数 */
    private Integer componentMediumNum;

    /** 无漏洞组件数 */
    private Integer componentNormalNum;

    /** 组件数 */
    private Integer componentNum;

    /** 恶意组件数 */
    private Integer componentPoisonNum;

    /** 严重组件数 */
    private Integer componentSeriousNum;

    /** 未审计组件数量 */
    private Integer componentUnAuditNum;

    /** 白名单组件数 */
    private Integer componentWhiteNum;

    /** 检测结束时间 */
    private String detectEndTime;

    /** 检测开始时间 */
    private String detectStartTime;

    /** 检测时长 */
    private String detectTime;

    /** 镜像分层信息 */
    private List<ImageLayerInfo> imageLayerInfos;

    /** 已审计许可证数量 */
    private Integer licenseAuditNum;

    /** 黑名单许可证数量 */
    private Integer licenseBlackNum;

    /** 高风险许可证数量 */
    private Integer licenseHighNum;

    /** 低风险许可证数量 */
    private Integer licenseLowNum;

    /** 中风险许可证数量 */
    private Integer licenseMediumNum;

    /** 许可证数 */
    private Integer licenseNum;

    /** 未审计许可证数量 */
    private Integer licenseUnAuditNum;

    /** 白名单许可证数量 */
    private Integer licenseWhiteNum;

    /** 项目id */
    private Integer projectId;

    /**
     * 状态
     * 0-未审计 1-未检测 2-排队中 3-检测中 4-检测暂停 5-检测完成 6-检测超时 7-手动停止 8-检测异常 9-已删除 10-拉取中 11-停止中 12-下载中
     */
    private Integer status;

    /** 任务id */
    private Integer taskId;

    /** 已审计漏洞数量 */
    private Integer vulAuditNum;

    /** 黑名单漏洞数量 */
    private Integer vulBlackNum;

    /** 高风险漏洞数量 */
    private Integer vulHighNum;

    /** 低风险漏洞数量 */
    private Integer vulLowNum;

    /** 中风险漏洞数量 */
    private Integer vulMediumNum;

    /** 漏洞数 */
    private Integer vulNum;

    /** 严重漏洞数量 */
    private Integer vulSeriousNum;

    /** 未审计漏洞数量 */
    private Integer vulUnAuditNum;

    /** 白名单漏洞数量 */
    private Integer vulWhiteNum;

    //xm-trace-id
    private String xmTraceId;

}
