package cd.casic.ci.process.dto.resp.sast;

import lombok.Data;

import java.util.List;

@Data
public class SastReportStatusResp {
    /**
     * 报告模式：
     * SUMMARY - 概要模式
     * DETAILS - 详细模式
     * */
    private String mode;
    /**
     * 报告类型：
     * PROJECT - 项目报告
     * APPLICATION - 应用报告
     * */
    private String contacts;
    /**
     * 报告模式：
     * SUMMARY - 概要模式
     * DETAILS - 详细模式
     * */
    private String reportType;
    /**
     * 文件格式：
     * DOCX - docx
     * XLSX - xlsx
     * JSON - json
     * PDF - pdf
     * */
    private String format;
    private String projectId;
    private List<String> applicationIds;
    /**
     * 缺陷等级集合
     * 	UN_KNOWN - 未知
     * DEADLY - 严重
     * SEVERITY - 高危
     * POOR_RISK - 中危
     * LOW_RISK - 低危
     * SAFE - 安全
     * */
    private List<String> bugLevels;
    /**
     *  WAITING - 待审计
     * IGNORE - 忽略
     * HIGH - 高风险
     * MEDIUM - 中风险
     * LOW - 低风险
     * NONE - 不受影响/误报
     * */
    private List<String> audRiskLevels;
    /**
     * 应用范围：
     * ALL - 全部
     * CUSTOMIZE - 自定义
     * */
    private String applicationScope;
    /**
     * WAITING - 等待中
     * GENERATING - 正在生成
     * SUCCESS - 生成成功
     * FAIL - 生成失败
     * */
    private String status;
}
