package cd.casic.ci.process.dto.resp.target;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetVersion
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@Data
public class TargetVersionResp {
    private String id;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 版本
     */
    private String version;

    /**
     * 描述
     */
    private String targetDesc;

    /**
     * 文件唯一标识
     */
    private String identifier;

    /**
     * 文件大小（byte）
     */
    private Double fileSize;

    /**
     * 文件名字
     */
    private String fileName;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 密级
     * 人员：1一般，2重要，3核心
     * 文件/功能：1公开 2内部 3秘密 4机密
     */
    private String secretId;

    /**
     * 文件地址路径
     */
    private String filePath;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 最后更新时间
     */
    private LocalDateTime updateTime;

    private String creator;
    private String creatorName;

    private String updater;
    private String updaterName;
}
