package cd.casic.ci.process.process.dataObject.aflManager;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("afl_info")
public class AflInfo extends PipBaseElement {
    private String pipelineId;
    private String pipelineHistoryId;
    private String taskId;
    //分组唯一标识
    private String groupIdentifier;

    /**
     * 模糊测试进程的开始时间
     */
    private String startTime;

    /**
     * 最后一次更新时间戳
     */
    private String lastUpdate;

    /**
     * 总运行时间
     */
    private String runTime;

    /**
     * 模糊器的进程 ID
     */
    private String fuzzerPid;

    /**
     * 已完成的循环次数
     */
    private String cyclesDone;

    /**
     * 未发现新内容的循环次数
     */
    private String cyclesWoFinds;

    /**
     * 未发现新内容的时间
     */
    private String timeWoFinds;

    /**
     * 模糊测试所用时间
     */
    private String fuzzTime;

    /**
     * 校准时间
     */
    private String calibrationTime;

    /**
     * 比较日志时间
     */
    private String cmplogTime;

    /**
     * 同步时间
     */
    private String syncTime;

    /**
     * 裁剪时间
     */
    private String trimTime;

    /**
     * 已执行的次数
     */
    private String execsDone;

    /**
     * 每秒执行次数
     */
    private String execsPerSec;

    /**
     * 上一分钟内的每秒执行次数
     */
    private String execsPsLastMin;

    /**
     * 语料库中的条目数量
     */
    private String corpusCount;

    /**
     * 语料库中被优先选择的条目
     */
    private String corpusFavored;

    /**
     * 语料库中发现的条目
     */
    private String corpusFound;

    /**
     * 导入到语料库的条目
     */
    private String corpusImported;

    /**
     * 语料库中的可变条目
     */
    private String corpusVariable;

    /**
     * 达到的最大深度
     */
    private String maxDepth;

    /**
     * 当前处理的条目索引
     */
    private String curItem;

    /**
     * 待处理的优先条目数
     */
    private String pendingFavs;

    /**
     * 总待处理条目数
     */
    private String pendingTotal;

    /**
     * 稳定性百分比
     */
    private String stability;

    /**
     * 位图覆盖率百分比
     */
    private String bitmapCvg;

    /**
     * 保存的崩溃次数
     */
    private String savedCrashes;

    /**
     * 保存的挂起次数
     */
    private String savedHangs;

    /**
     * 总超时次数
     */
    private String totalTmout;

    /**
     * 上次发现的时间戳
     */
    private String lastFind;

    /**
     * 上次崩溃的时间戳
     */
    private String lastCrash;

    /**
     * 上次挂起的时间戳
     */
    private String lastHang;

    /**
     * 自上次崩溃以来的执行次数
     */
    private String execsSinceCrash;

    /**
     * 执行超时值
     */
    private String execTimeout;

    /**
     * 最慢执行时间（毫秒）
     */
    private String slowestExecMs;

    /**
     * 峰值 RSS 内存使用量（MB）
     */
    private String peakRssMb;

    /**
     * CPU 亲和性设置
     */
    private String cpuAffinity;

    /**
     * 发现的边数（edges）
     */
    private String edgesFound;

    /**
     * 总可用边数（edges）
     */
    private String totalEdges;

    /**
     * 可变字节计数
     */
    private String varByteCount;

    /**
     * Havoc 扩展因子
     */
    private String havocExpansion;

    /**
     * 自动词典条目数
     */
    private String autoDictEntries;

    /**
     * 测试缓存大小
     */
    private String testcacheSize;

    /**
     * 测试缓存条目数
     */
    private String testcacheCount;

    /**
     * 测试缓存驱逐次数
     */
    private String testcacheEvict;

    /**
     * 目标程序 banner
     */
    private String aflBanner;

    /**
     * 使用的 AFL 版本
     */
    private String aflVersion;

    /**
     * 目标模式配置
     */
    private String targetMode;

    /**
     * 执行使用的命令行
     */
    private String commandLine;

    /**
     * 文件二进制内容
     */
    private String contentId;

    /**
     * 文件地址路径
     */
    private String filePath;
}
