package cd.casic.ci.process.process.dataObject.machine;


import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 机器信息表
 *
 * @author herenbin
 * @date 2022-09-27 10:10:37
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("machine_info")
public class MachineInfo extends BaseDO {


    /**
     * 机器认证方式 1: 账号认证 2: key认证
     */
    private String authType;

    /**
     * 机器描述
     */
    private String description;
    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 主机ip
     */
    private String machineHost;

    /**
     * 机器名称
     */
    private String machineName;

    /**
     * 机器状态 1有效 2无效
     */
    private String machineStatus;

    /**
     * 机器唯一标识
     */
    private String machineTag;

    /**
     * 机器密码
     */
    private String password;

    /**
     * 代理id
     */
    private Long proxyId;

    /**
     * ssh端口
     */
    private Integer sshPort;

    /**
     * 机器账号
     */
    private String username;
    /**
     * 系统类型
     */
    @TableField("os_system")
    private String osSystem;

}
