package cd.casic.ci.process.process.dataObject.resource;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName PipResourceMachine
 * @Author hopeli
 * @Date 2025/31 21:48
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipResourceMachine extends PipBaseElement {
    /**
     * 主机地址
     */
    private String machineHost;

    /**
     * 描述
     */
    private String description;

    /**
     * 机器状态
     */
    private String machineStatus;

    /**
     * 登录用户名
     */
    private String username;

    /**
     * SSH 端口
     */
    private String sshPort;

    /**
     * 密码
     */
    private String password;

    /**
     * 秘钥 ID
     */
    private Long secretKeyId;

    /**
     * 代理 ID
     */
    private Long proxyId;

    /**
     * 认证类型编码
     */
    private Integer authenticationTypeCode;

    /**
     * 认证类型
     */
    private String authType;

    /**
     * 操作系统
     */
    private String osSystem;
}
