package cd.casic.ci.process.process.dataObject.resource;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @ClassName PipelineDockerEndpoint
 * @Author hopeli
 * @Date 2025/5/31 21:54
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class PipelineDockerEndpoint extends PipBaseElement {
    /**
     * Docker 类型：远程/本地
     */
    private String dockerType;

    /**
     * Docker 状态（参考 DockerEndpointStateEnum）
     */
    private String state;

    /**
     * 主机地址
     */
    private String host;

    /**
     * 端口
     */
    private String port;

    /**
     * 最近测试时间
     */
    private LocalDateTime latestTestTime;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型（可能用于扩展分类）
     */
    private String type;
}
