package cd.casic.ci.process.process.dataObject.target;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetVersion
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("target_version")
public class TargetVersion extends PipBaseElement {

    /**
     * 目标ID
     */
    private String targetId;

    /**
     * 版本号
     */
    private String version;

    /**
     * 文件大小（单位：字节）
     */
    private Double fileSize;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 文件类型（例如 zip、tar.gz 等）
     */
    private String fileType;

    /**
     * 文件地址路径
     */
    private String filePath;
    /**
     *  目标版本构成成分
     * */
    private String versionCompose;
}
