package cd.casic.ci.process.process.dataObject.template;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TemplateManager
 * @Date: 2025/5/28 19:02
 * @Description:
 */

@EqualsAndHashCode(callSuper = true)
@Data
public class TemplateStage extends PipBaseElement {
    /**
     * 阶段名称
     */
    private String stageName;

    /**
     * 流水线模板ID
     */
    private String templateId;

    /**
     * 阶段排序
     */
    private Integer stageSort;

    /**
     * 父级阶段ID
     */
    private String parentId;

    /**
     * 是否为源码（0-否，1-是）
     */
    private String code;

    /**
     * 触发方式（0-手动触发，1-自动触发）
     */
    private String triggerMode;

    @TableField(exist = false)
    private List<TemplateTask> taskValues;

    //@ApiProperty(name = "stageList",desc="阶段")
    @TableField(exist = false)
    private List<TemplateStage> stageList;
    // 执行实例id
    @TableField(exist = false)
    private String instanceId;
}
