package cd.casic.ci.process.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "target.file-upload")
@Data
@EnableConfigurationProperties
public class TargetFileUploadProperties {
    //远程服务器IP或主机名
    private String remoteHost;
    //远程服务器端口 (通常是 22)，为 null 或 <= 0 时使用默认端口 22
    private Integer remotePort;
    //远程服务器用户名
    private String username;
    //远程服务器密码 (如果使用密码认证)
    private String password;
    //SSH Key 文件路径 (如果使用密钥认证，password 参数可以为 null)
    private String sshKeyPath;
    //远程服务器存放文件的目录 (例如: /home/user/uploads/)
    private String remoteDir;

}
