package cd.casic.ci.repository.controller.admin;


import cd.casic.framework.commons.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Schema(description = "管理后台 - 代码仓创建/修改 Request VO")
@Data
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class OpsVcsVO extends PageParam {


    /**
     * id
     */
    private Long id;

    /**
     * 认证类型 10密码 20令牌
     */
    private String vcsAuthType;

    /**
     * 描述
     */
    private String vcsDescription;

    /**
     * 名称
     */
    private String vcsName;

    /**
     * 密码
     */
    private String vcsPassword;

    /**
     * token
     */
    private String vcsPrivateToken;

    /**
     * 状态 10未初始化 20初始化中 30正常 40失败
     */
    private String vcsStatus;

    /**
     * 令牌类型 10github 20gitee 30gitlab
     */
    private String vcsTokenType;

    /**
     * 类型 1git
     */
    private String vcsType;

    /**
     * url
     */
    private String vscUrl;

    /**
     * 用户名
     */
    private String vscUsername;

    /**
     * 一体化项目标识
     */
    private String projectId;

    /**
     * 一体化配置项
     */
    private String softCode;

    /**
     * 一体化项目名称
     */
    private String projectName;

    /**
     * 一体化配置项名称
     */
    private String softName;
    /**
     * 密级
     */
    private String secretId;

    /**
     * 租户ID
     */
    private String tenantId;

}
