package cd.casic.ci.repository.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 应用版本仓库
 */
@TableName(value = "ops_vcs", autoResultMap = true)
//@KeySequence("ops_vcs_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class OpsVcsDO extends BaseDO {


    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 认证类型 10密码 20令牌
     */
    private String vcsAuthType;

    /**
     * 描述
     */
    private String vcsDescription;

    /**
     * 名称
     */
    private String vcsName;

    /**
     * 密码
     */
    private String vcsPassword;

    /**
     * token
     */
    private String vcsPrivateToken;

    /**
     * 状态 10未初始化 20初始化中 30正常 40失败
     */
    private String vcsStatus;

    /**
     * 令牌类型 10github 20gitee 30gitlab
     */
    private String vcsTokenType;

    /**
     * 类型 1git
     */
    private String vcsType;

    /**
     * url
     */
    private String vscUrl;

    /**
     * 用户名
     */
    private String vscUsername;

    /**
     *所属部门cod
     */
    private String deptCode;

    /**
     * 一体化项目标识
     */
    private String projectId;

    /**
     * 一体化配置项
     */
    private String softCode;

    /**
     * 一体化项目名称
     */
    private String projectName;

    /**
     * 一体化配置项名称
     */
    private String softName;
    /**
     * 密级
     */
    private String secretId;

    /**
     * 租户ID
     */
    private String tenantId;

}
