package cd.casic.module.system.api.user.dto;

import cd.casic.framework.commons.enums.CommonStatusEnum;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Set;

/**
 * Admin 用户 Response DTO
 *
 * @author mianbin modified from yudao
 */
@Data
@Accessors(chain = true)
public class AdminUserRespDTO {

    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 帐号状态
     *
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 岗位编号数组
     */
    private Set<Long> postIds;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 用户头像
     */
    private String avatar;

}
