package cd.casic.server;

import cd.casic.ci.process.process.dataObject.machine.MachineInfo;
import cd.casic.ci.process.process.service.machine.MachineInfoService;
import cd.casic.ci.process.util.CryptogramUtil;
import cd.casic.ci.process.util.SftpUploadUtil;
import com.jcraft.jsch.*;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import java.io.File;
import java.io.InputStream;
import java.util.Properties;
import java.util.Vector;

@SpringBootTest(classes = {OpsServerApplication.class})
@ActiveProfiles("local")
public class SftpTest {
    @Resource
    MachineInfoService machineInfoService;
    @Test
    public void test01() throws SftpUploadUtil.SftpUploadException {
        MachineInfo byId = machineInfoService.getById("1");
        File file = new File("src/test/java/cd/casic/server/text.txt");
        System.out.println(file.getAbsolutePath());
        System.out.println(file.exists());
        System.out.println(file.getName());
        SftpUploadUtil.uploadFileViaSftp(byId.getMachineHost(),byId.getSshPort(),byId.getUsername(), CryptogramUtil.doDecrypt(byId.getPassword()),null,file.getAbsolutePath(),"/home/casic/706/ai_test_527","到此一游.txt");
    }
    @Test
    public void test02(){
        System.out.println("Welcome to Ubuntu 18.04.6 LTS (GNU/Linux 5.4.0-150-generic x86_64)\r\n\r\n * Documentation:  https://help.ubuntu.com\r\n * Management:     https://landscape.canonical.com\r\n * Support:        https://ubuntu.com/pro\r\n\r\n扩展安全维护（ESM）Infrastructure 未启用。\r\n\r\n0 更新可以立即应用。\r\n\r\n240 个额外的安全更新可以通过 ESM Infra 来获取安装。\r\n可通过以下途径了解如何启用 ESM Infra：for Ubuntu 18.04 at\r\nhttps://ubuntu.com/18-04\r\n\r\n*** System restart required ***\r\nLast login: Thu May 29 18:59:48 2025 from 223.104.132.96\r\r\necho \"自定义镜像执行命令\"\r\n\r\nhnidc@hnidc-PowerEdge-R740:~$ echo \"自定义镜像执行命令\"\r\n自定义镜像执行命令\r\nhnidc@hnidc-PowerEdge-R740:~$ \r\nhnidc@hnidc-PowerEdge-R740:~$ cd /home/casic/706\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ \r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ docker run -v $PWD/yunqi/:/test  -it \r aflplusplus/aflplusplus bash\r\n\r\ncd /test\r\n\r\n\u001b[?2004h[AFL++ c7cedbd6d37d] /AFLplusplus # \r\n\u001b[?2004l\r\u001b[?2004h[AFL++ c7cedbd6d37d] /AFLplusplus # cd /test\r\n\u001b[?2004l\r\u001b[?2004h[AFL++ c7cedbd6d37d] /test # \r\n\u001b[?2004l\r\u001b[?2004h[AFL++ c7cedbd6d37d] /test # \r\u001b[K[AFL++ c7cedbd6d37d] /test # afl-fuzz -i case -o ai_afl -t 3000 -Q ./CaseGenerato\ror/testdata/libpng/libpng/pngfix @@\r\n\u001b[?2004l\r\u001b[1;92m[+] \u001b[0mEnabled environment variable AFL_SKIP_CPUFREQ with value 1\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mEnabled environment variable AFL_I_DONT_CARE_ABOUT_MISSING_CRASHES with value 1\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mEnabled environment variable AFL_TRY_AFFINITY with value 1\u001b[0m\r\n\u001b[0;36mafl-fuzz++4.09a\u001b[0m based on afl by Michal Zalewski and a large online community\r\n\u001b[1;92m[+] \u001b[0mAFL++ is maintained by Marc \"van Hauser\" Heuse, Dominik Maier, Andrea Fioraldi and Heiko \"hexcoder\" Eißfeldt\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mAFL++ is open source, get it at https://github.com/AFLplusplus/AFLplusplus\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mNOTE: AFL++ >= v3 has changed defaults and behaviours - see README.md\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mNo -M/-S set, autoconfiguring for \"-S default\"\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mGetting to work...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mUsing exponential power schedule (FAST)\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mEnabled testcache with 50 MB\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mGenerating fuzz data with a length of min=1 max=1048576\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mChecking core_pattern...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mYou have 80 CPU cores and 4 runnable tasks (utilization: 5%).\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mTry parallel jobs - see /usr/local/share/doc/afl/fuzzing_in_depth.md#c-using-multiple-cores\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mSetting up output directories...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mOutput directory exists but deemed OK to reuse.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mDeleting old session data...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mOutput dir cleanup successful.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mChecking CPU core loadout...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mFound a free CPU core, try binding to #0.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mScanning 'case'...\u001b[0m\r\n\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mTest case 'case/case_31_valid_png' is too big (2.12 MB, limit is 1.00 MB), partial reading\u001b[0m\r\n\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mTest case 'case/case_62_valid_png' is too big (1.20 MB, limit is 1.00 MB), partial reading\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mLoaded a total of 100 seeds.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mCreating hard links for all input files...\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mValidating target binary...\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mNo auto-generated dictionary tokens to reuse.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000000,time:0,execs:0,orig:case_100_crc_error_png'...\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mSpinning up the fork server...\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mAll right - fork server is up.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mTarget map size: 65536\u001b[0m\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 23182 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000001,time:0,execs:0,orig:case_10_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 1759 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000002,time:0,execs:0,orig:case_11_valid_png'...\u001b[0m\r\n\r\nexit\r\n\r\n\r\n\u001b[1;90m    len = 223268, map size = 987, exec speed = 151063 us, hash = 3c4265c898f340c7\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000003,time:0,execs:0,orig:case_12_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1613 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000004,time:0,execs:0,orig:case_13_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 786 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000005,time:0,execs:0,orig:case_14_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10354 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000006,time:0,execs:0,orig:case_15_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 785 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000007,time:0,execs:0,orig:case_16_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10243 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000008,time:0,execs:0,orig:case_17_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10335 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000009,time:0,execs:0,orig:case_18_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1319 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000010,time:0,execs:0,orig:case_19_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10356 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000011,time:0,execs:0,orig:case_1_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 38047, map size = 889, exec speed = 26912 us, hash = 3d4a8f21f437bf86\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000012,time:0,execs:0,orig:case_20_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1327 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000013,time:0,execs:0,orig:case_21_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 802 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000014,time:0,execs:0,orig:case_22_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 139863, map size = 534, exec speed = 679 us, hash = cb63e0ac702eb436\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000015,time:0,execs:0,orig:case_23_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1349 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000016,time:0,execs:0,orig:case_24_invalid_size_png'...\u001b[0m\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1351 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000017,time:0,execs:0,orig:case_25_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10341 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000018,time:0,execs:0,orig:case_26_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1341 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000019,time:0,execs:0,orig:case_27_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 791 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000020,time:0,execs:0,orig:case_28_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10307 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000021,time:0,execs:0,orig:case_29_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10267 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000022,time:0,execs:0,orig:case_2_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 374356, map size = 531, exec speed = 782 us, hash = 18c980e731eba575\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000023,time:0,execs:0,orig:case_30_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 798 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000024,time:0,execs:0,orig:case_31_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 1048576, map size = 776, exec speed = 121010 us, hash = 3a42e2b54338ea28\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000025,time:0,execs:0,orig:case_32_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 810 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000026,time:0,execs:0,orig:case_33_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1339 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000027,time:0,execs:0,orig:case_34_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10312 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000028,time:0,execs:0,orig:case_35_invalid_size_png'...\u001b[0m\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1335 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000029,time:0,execs:0,orig:case_36_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 804 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000030,time:0,execs:0,orig:case_37_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10328 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000031,time:0,execs:0,orig:case_38_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 794 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000032,time:0,execs:0,orig:case_39_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1338 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000033,time:0,execs:0,orig:case_3_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 798 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000034,time:0,execs:0,orig:case_40_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 7055, map size = 795, exec speed = 1075 us, hash = 5ff7786d2d6f0eaf\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000035,time:0,execs:0,orig:case_41_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 804 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000036,time:0,execs:0,orig:case_42_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 17522, map size = 531, exec speed = 584 us, hash = 18c980e731eba575\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000037,time:0,execs:0,orig:case_43_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 793 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000038,time:0,execs:0,orig:case_44_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1356 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000039,time:0,execs:0,orig:case_45_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 800 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000040,time:0,execs:0,orig:case_46_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1364 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000041,time:0,execs:0,orig:case_47_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10379 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000042,time:0,execs:0,orig:case_48_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10361 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000043,time:0,execs:0,orig:case_49_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10398 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000044,time:0,execs:0,orig:case_4_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 802 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000045,time:0,execs:0,orig:case_50_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 799 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000046,time:0,execs:0,orig:case_51_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1322 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000047,time:0,execs:0,orig:case_52_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1335 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000048,time:0,execs:0,orig:case_53_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 800 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000049,time:0,execs:0,orig:case_54_invalid_size_png'...\u001b[0m\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1334 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000050,time:0,execs:0,orig:case_55_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10382 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000051,time:0,execs:0,orig:case_56_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 804 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000052,time:0,execs:0,orig:case_57_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 793 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000053,time:0,execs:0,orig:case_58_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1342 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000054,time:0,execs:0,orig:case_59_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 382707, map size = 531, exec speed = 775 us, hash = 18c980e731eba575\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000055,time:0,execs:0,orig:case_5_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 18523, map size = 890, exec speed = 13155 us, hash = 1d648eac62241924\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000056,time:0,execs:0,orig:case_60_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 13868, map size = 531, exec speed = 598 us, hash = 78e91e36b17b8856\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000057,time:0,execs:0,orig:case_61_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 798 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000058,time:0,execs:0,orig:case_62_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 1048576, map size = 775, exec speed = 121467 us, hash = 1a2825879c459294\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000059,time:0,execs:0,orig:case_63_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 70168, map size = 907, exec speed = 46574 us, hash = b0863e927e65d0b7\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000060,time:0,execs:0,orig:case_64_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 442042, map size = 531, exec speed = 789 us, hash = 18c980e731eba575\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000061,time:0,execs:0,orig:case_65_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 823 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000062,time:0,execs:0,orig:case_66_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 193, map size = 1093, exec speed = 862 us, hash = 17a1ea291e671a6f\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000063,time:0,execs:0,orig:case_67_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10339 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000064,time:0,execs:0,orig:case_68_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10282 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000065,time:0,execs:0,orig:case_69_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 807 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000066,time:0,execs:0,orig:case_6_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 792 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000067,time:0,execs:0,orig:case_70_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1347 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000068,time:0,execs:0,orig:case_71_invalid_size_png'...\u001b[0m\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1347 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000069,time:0,execs:0,orig:case_72_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 2056, map size = 1093, exec speed = 2226 us, hash = 14b424733e03838a\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000070,time:0,execs:0,orig:case_73_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 240177, map size = 909, exec speed = 159500 us, hash = dad5d2994c5a49d0\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000071,time:0,execs:0,orig:case_74_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10246 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000072,time:0,execs:0,orig:case_75_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10236 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000073,time:0,execs:0,orig:case_76_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 798 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000074,time:0,execs:0,orig:case_77_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 355377, map size = 786, exec speed = 1307 us, hash = 415b9968c1ffd3d4\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000075,time:0,execs:0,orig:case_78_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 236538, map size = 911, exec speed = 157292 us, hash = fea8db6efa986c2c\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000076,time:0,execs:0,orig:case_79_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1337 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000077,time:0,execs:0,orig:case_7_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 803 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000078,time:0,execs:0,orig:case_80_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1336 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000079,time:0,execs:0,orig:case_81_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 796 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000080,time:0,execs:0,orig:case_82_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10344 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000081,time:0,execs:0,orig:case_83_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1343 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000082,time:0,execs:0,orig:case_84_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10284 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000083,time:0,execs:0,orig:case_85_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1337 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000084,time:0,execs:0,orig:case_86_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 92733, map size = 531, exec speed = 631 us, hash = d119490928bfffee\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000085,time:0,execs:0,orig:case_87_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10275 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000086,time:0,execs:0,orig:case_88_zlib_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 797 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000087,time:0,execs:0,orig:case_89_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1337 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000088,time:0,execs:0,orig:case_8_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1351 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000089,time:0,execs:0,orig:case_90_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1341 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000090,time:0,execs:0,orig:case_91_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 24449, map size = 531, exec speed = 592 us, hash = 78e91e36b17b8856\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000091,time:0,execs:0,orig:case_92_valid_png'...\u001b[0m\r\n\u001b[1;90m    len = 357617, map size = 784, exec speed = 1217 us, hash = fc3e41b717ba7be5\r\n\u001b[0m\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000092,time:0,execs:0,orig:case_93_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1353 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000093,time:0,execs:0,orig:case_94_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 836 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000094,time:0,execs:0,orig:case_95_valid_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 366441, map size = 531, exec speed = 777 us, hash = d119490928bfffee\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000095,time:0,execs:0,orig:case_96_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1369 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000096,time:0,execs:0,orig:case_97_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1333 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000097,time:0,execs:0,orig:case_98_zlib_error_png'...\u001b[0m\r\n\u001b[1;90m    len = 3172, map size = 856, exec speed = 796 us, hash = 51b1f8a5f4e7d2c5\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000098,time:0,execs:0,orig:case_99_crc_error_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 12420, map size = 1106, exec speed = 10241 us, hash = f503321530a3e9aa\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mAttempting dry run with 'id:000099,time:0,execs:0,orig:case_9_invalid_size_png'...\u001b[0m\r\n\r\n\u001b[1;90m    len = 852, map size = 1151, exec speed = 1341 us, hash = 948e7f699c6c9b4c\r\n\u001b[0m\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mNo new instrumentation output, test case may be useless.\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mAll test cases processed.\u001b[0m\r\n\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0m\u001b[1;91mSome test cases are huge (1.00 MB) - see /usr/local/share/doc/afl/fuzzing_in_depth.md#i-improve-the-speed\u001b[0m\r\n\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0m\u001b[1;91mSome test cases look useless. Consider using a smaller set.\u001b[0m\r\n\u001b[1;93m[!] \u001b[1;97mWARNING: \u001b[0mYou have lots of input files; try starting small.\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mHere are some useful stats:\r\n\r\n\u001b[1;90m    Test case count : \u001b[0m13 favored, 0 variable, 80 ignored, 100 total\r\n\u001b[1;90m       Bitmap range : \u001b[0m531 to 1151 bits (average: 969.05 bits)\r\n\u001b[1;90m        Exec timing : \u001b[0m584 to 159k us (average: 11.1k us)\r\n\u001b[0m\r\n\u001b[1;94m[*] \u001b[0m-t option specified. We'll use an exec timeout of 3000 ms.\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mAll set and ready to roll!\u001b[0m\r\n\r\n\u001b[H\u001b[2J\u001b[?25l\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0mnone seen yet                     \u001b[1;90m│ corpus count : \u001b[0m100   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m62.0 (62.0%)       \u001b[1;90m│    map density : \u001b[0m1.67% / 2.23%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.51 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mtrim 16/16             \u001b[1;90m│ favored items : \u001b[0m13 (13.00%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m0/12 (0.00%)           \u001b[1;90m│  new edges on : \u001b[0m15 (15.00%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m701                    \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m701k/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m1         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m20        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m10        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m0         \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m0/0, 0/0                             \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0mn/a, disabled                        \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  3%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 2 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m137   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m36.0 (26.3%)       \u001b[1;90m│    map density : \u001b[0m0.81% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.57 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mhavoc                  \u001b[1;90m│ favored items : \u001b[0m13 (9.49%)          \u001b[1;90m│\r\n│ stage execs : \u001b[0m3583/3584 (99.97%)     \u001b[1;90m│  new edges on : \u001b[0m39 (28.47%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m4660                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1758/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m2         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m56        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m9         \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m37        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m0/0, 0/0                             \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/117, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  5%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 2 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m137   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m36.0 (26.3%)       \u001b[1;90m│    map density : \u001b[0m0.81% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.57 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0msplice 11              \u001b[1;90m│ favored items : \u001b[0m13 (9.49%)          \u001b[1;90m│\r\n│ stage execs : \u001b[0m13/14 (92.86%)         \u001b[1;90m│  new edges on : \u001b[0m39 (28.47%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m4814                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1696/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m2         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m56        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m9         \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m37        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m37/3584, 0/140                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/117, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  3%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 2 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m139   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m107.0 (77.0%)      \u001b[1;90m│    map density : \u001b[0m0.79% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.58 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mhavoc                  \u001b[1;90m│ favored items : \u001b[0m35 (25.18%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m99/224 (44.20%)        \u001b[1;90m│  new edges on : \u001b[0m39 (28.06%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m5148                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1685/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m55        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m28        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m39        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m38/3734, 0/210                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.31%/131, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  2%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 2 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m139   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m107.0 (77.0%)      \u001b[1;90m│    map density : \u001b[0m0.79% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.58 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0msplice 12              \u001b[1;90m│ favored items : \u001b[0m35 (25.18%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m13/14 (92.86%)         \u001b[1;90m│  new edges on : \u001b[0m39 (28.06%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m5440                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1668/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m55        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m28        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m39        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/3958, 0/364                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.31%/131, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  3%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 3 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m140   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.3%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mtrim 16/16             \u001b[1;90m│ favored items : \u001b[0m34 (24.29%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m9/118 (7.63%)          \u001b[1;90m│  new edges on : \u001b[0m39 (27.86%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m5763                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1655/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m53        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m40        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/4070, 1/434                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/279, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  2%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 3 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m140   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.3%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mtrim 8/8               \u001b[1;90m│ favored items : \u001b[0m34 (24.29%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m156/236 (66.10%)       \u001b[1;90m│  new edges on : \u001b[0m39 (27.86%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m6027                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1630/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m53        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m40        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/4070, 1/434                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/543, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  3%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 3 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m140   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.3%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mtrim 4/4               \u001b[1;90m│ favored items : \u001b[0m34 (24.29%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m197/470 (41.91%)       \u001b[1;90m│  new edges on : \u001b[0m39 (27.86%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m6303                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1605/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m53        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m40        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/4070, 1/434                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/819, disabled                 \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  5%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 3 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m140   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.3%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.31%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mtrim 4/4               \u001b[1;90m│ favored items : \u001b[0m34 (24.29%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m453/470 (96.38%)       \u001b[1;90m│  new edges on : \u001b[0m39 (27.86%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m6559                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1582/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m53        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m40        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/4070, 1/434                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m98.66%/1075, disabled                \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  1%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 3 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m141   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.1%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.32%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0mhavoc                  \u001b[1;90m│ favored items : \u001b[0m34 (24.11%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m217/300 (72.33%)       \u001b[1;90m│  new edges on : \u001b[0m40 (28.37%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m6799                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m1554/sec               \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m54        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m41        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m39/4070, 1/434                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m91.14%/1090, disabled                \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  5%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n\u001b[H\r\n \u001b[1;93mAFL \u001b[1;96m++4.09a\u001b[1;94m {default} \u001b[1;92m(...aseGenerator/testdata/libpng/libpng/pngfix) \u001b[1;95m[fast]\r\n\u001b[1;90m┌─\u001b[0;36m process timing \u001b[1;90m────────────────────────────────────┬─\u001b[0;36m overall results \u001b[1;90m────┐\r\n│        run time : \u001b[0m0 days, 0 hrs, 0 min, 4 sec       \u001b[1;90m│  cycles done : \u001b[0;35m0     \u001b[1;90m│\r\n│   last new find : \u001b[0m0 days, 0 hrs, 0 min, 0 sec       \u001b[1;90m│ corpus count : \u001b[0m141   \u001b[1;90m│\r\n│last saved crash : \u001b[0mnone seen yet                     \u001b[1;90m│saved crashes : \u001b[0m0     \u001b[1;90m│\r\n│ last saved hang : \u001b[0mnone seen yet                     \u001b[1;90m│  saved hangs : \u001b[0m0     \u001b[1;90m│\r\n├─\u001b[0;36m cycle progress \u001b[1;90m─────────────────────┬─\u001b[0;36m map coverage\u001b[1;90m┴──────────────────────┤\r\n│  now processing : \u001b[0m34.0 (24.1%)       \u001b[1;90m│    map density : \u001b[0m1.21% / 2.32%      \u001b[1;90m│\r\n│  runs timed out : \u001b[0m0 (0.00%)          \u001b[1;90m│ count coverage : \u001b[0m1.59 bits/tuple    \u001b[1;90m│\r\n├─\u001b[0;36m stage progress \u001b[1;90m─────────────────────┼─\u001b[0;36m findings in depth \u001b[1;90m─────────────────┤\r\n│  now trying : \u001b[0msplice 2               \u001b[1;90m│ favored items : \u001b[0m34 (24.11%)         \u001b[1;90m│\r\n│ stage execs : \u001b[0m17/18 (94.44%)         \u001b[1;90m│  new edges on : \u001b[0m40 (28.37%)         \u001b[1;90m│\r\n│ total execs : \u001b[0m6917                   \u001b[1;90m│ total crashes : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n│  exec speed : \u001b[0m199.3/sec              \u001b[1;90m│  total tmouts : \u001b[0m0 (0 saved)         \u001b[1;90m│\r\n├─\u001b[0;36m fuzzing strategy yields \u001b[1;90m────────────┴─────────────┬─\u001b[0;36m item geometry \u001b[1;90m───────┤\r\n│   bit flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│    levels : \u001b[0m3         \u001b[1;90m│\r\n│  byte flips : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│   pending : \u001b[0m54        \u001b[1;90m│\r\n│ arithmetics : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│  pend fav : \u001b[0m25        \u001b[1;90m│\r\n│  known ints : \u001b[0mdisabled (default, enable with -D)   \u001b[1;90m│ own finds : \u001b[0m41        \u001b[1;90m│\r\n│  dictionary : \u001b[0mn/a                                  \u001b[1;90m│  imported : \u001b[0m0         \u001b[1;90m│\r\n│havoc/splice : \u001b[0m40/4370, 1/452                       \u001b[1;90m│ stability : \u001b[0m100.00%   \u001b[1;90m│\r\n│py/custom/rq : \u001b[0munused, unused, unused, unused       \u001b[1;90m├───────────────────────┘\r\n│    trim/eff : \u001b[0m91.14%/1090, disabled                \u001b[1;90m│          \u001b[1;90m[cpu000:\u001b[1;92m  3%\u001b[1;90m]\r\u001b[0m\r\n\u001b[1;90m└─\u001b[0;36m strategy:\u001b[1;95m explore \u001b[1;90m──────────\u001b[0;36m state:\u001b[1;95m started :-) \u001b[1;90m──┘\u001b[0m\r\n");
    }
    @Test
    public void test03(){
        System.out.println(CryptogramUtil.doEncrypt("hnidc0628cn!@#lld"));
    }
    @Test
    public void ssh(){
        System.out.println(CryptogramUtil.doDecrypt("b44a50e0cfb98f81c8c003330780c835923c2e5caa1738d61e27ee541be54e2e"));
    }
    @Test
    public void getFileList(){
        String host = "175.6.27.158";
        String user = "ubuntu";
        String password = "Hunter@2024";
        String remotePath = "/home/casic/706/yunqi/PIP_725054435889385472/pcre2-master";

        try {
            JSch jsch = new JSch();
            Session session = jsch.getSession(user, host, 22);
            session.setPassword(password);
            session.setConfig("StrictHostKeyChecking", "no");
            session.connect();

            ChannelSftp sftpChannel = (ChannelSftp) session.openChannel("sftp");
            sftpChannel.connect();
            Vector<ChannelSftp.LsEntry> files = sftpChannel.ls(remotePath);

            for (ChannelSftp.LsEntry file : files) {
                if (!file.getAttrs().isDir()) {
                    System.out.println("文件: " + file.getFilename());
                }
            }
            sftpChannel.disconnect();
            session.disconnect();
        } catch (JSchException | SftpException e) {
            e.printStackTrace();
        }
    }
    @Test
    public void test00(){
        System.out.println("{\"code\":0,\"message\":\"OK\",\"data\":\"锟斤拷\\u0000\\u0005t\\u0000锟絳\\\"product\\\":\\\"code\\\",\\\"build\\\":\\\"{\\\\\\\"helper\\\\\\\":\\\\\\\"jar-analyzer\\\\\\\",\\\\\\\"config\\\\\\\":{\\\\\\\"root\\\\\\\":\\\\\\\"./test-1.0.jar\\\\\\\"}}\\\",\\\"project\\\":\\\"搴旂敤妫€娴媉76ce2c9dab224d8cbc79821bcc85b61b\\\",\\\"language\\\":\\\"java\\\"}\"}");
    }
}
