package cd.casic.ci.process.process.dataObject.report;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipReportInfo
 * @Date: 2025/6/23 20:29
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("pip_report_info")
public class PipReportInfo extends PipBaseElement {
    // 任务id
    private String taskId;

    // sca任务id
    private String scaTaskId;

    // 风险等级 1-严重 2-高危 3-中危 4-低危 5-无漏洞
    private Integer securityLevelId;

    // 漏洞名称
    private String vulName;

    // cnnvd编号
    private String cnnvdId;

    // cnvd编号
    private String cnvdId;

    // cve编号
    private String cveId;

    // cwe编号
    private String cweId;

    // 漏洞类型
    private String vulType;

    // 漏洞状态
    private String vulMarkStatus;

    // 攻击类型
    private String attackType;

    // cvssV2评分
    private Double cvssV2Score;

    // cvssV3评分
    private Double cvssV3Score;

    // 漏洞利用难度 -2-未知 0-困难 1-容易 2-一般
    private Integer exploitLevelIndex;

    // 发布时间
    private String releaseDate;
}
